List episodes
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"offset": 123,
"limit": 123,
"total": 123,
"items": [
{
"episode_index": 123,
"length_frames": 123,
"duration_sec": 123,
"dataset_from_index": 123,
"dataset_to_index": 123,
"tasks": [
"<string>"
],
"camera_keys": [
"<string>"
]
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalog
List episodes
GET
/
api
/
v1
/
catalog
/
datasets
/
{dataset_id}
/
episodes
List episodes
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"offset": 123,
"limit": 123,
"total": 123,
"items": [
{
"episode_index": 123,
"length_frames": 123,
"duration_sec": 123,
"dataset_from_index": 123,
"dataset_to_index": 123,
"tasks": [
"<string>"
],
"camera_keys": [
"<string>"
]
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 200Minimum string length:
1Pattern:
^(episode_index|duration|frames)$Response
Successful Response
Show child attributes
Show child attributes

